## com.sun.jersey.spi.container
Interface ResourceFilter

    public interface ResourceFilter

A resource filter to be used to filter a resource method, a sub-resource method, or a sub-resource locator.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  `com.sun.jersey.api.container.filter`

Method Summary
`ContainerRequestFilter` | `getRequestFilter()` Get the request filter.
`ContainerResponseFilter` | `getResponseFilter()` Get the response filter.

Method Detail

### getRequestFilter

    ContainerRequestFilter getRequestFilter()

  Get the request filter.

  Returns:
    the request filter, otherwise null if request filtering is not supported.

### getResponseFilter

    ContainerResponseFilter getResponseFilter()

  Get the response filter.

  Returns:
    the response filter, otherwise null if response filtering is not supported.

Copyright © 2017 Oracle Corporation. All Rights Reserved.